Skip to main content
GET
/
tasks
/
{taskId}
/
subtasks
/
{id}
Get a subtask
curl --request GET \
  --url https://api.smokeball.com/tasks/{taskId}/subtasks/{id} \
  --header 'Authorization: <api-key>' \
  --header 'x-api-key: <api-key>'
{
  "id": "<string>",
  "href": "<string>",
  "relation": "<string>",
  "method": "GET",
  "self": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "parentTask": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "createdBy": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "completedBy": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "lastUpdatedBy": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "subject": "Confer with Mary",
  "completedDate": "2020-02-15T13:00:00Z",
  "completedDateOnly": "2020-02-15T00:00:00",
  "createdDate": "2020-02-15T13:00:00Z",
  "createdDateOnly": "2020-02-15T00:00:00",
  "isCompleted": false,
  "isDeleted": false,
  "lastUpdated": 637847425252027400
}

Authorizations

x-api-key
string
header
required
Authorization
string
header
required

Path Parameters

taskId
string<uuid>
required
id
string<uuid>
required

Response

When request is successful. Returns a 'SubTask' object.

Subtask resource.

id
string | null
href
string | null
relation
string | null
method
string | null
default:GET
self
object
parentTask
object

The parent (task) of the subtask.

createdBy
object

The staff member who created the subtask.

completedBy
object

The staff member who completed the subtask.

lastUpdatedBy
object

The staff member who last updated the subtask.

subject
string | null

The subject - a short description of the subtask.

Example:

"Confer with Mary"

completedDate
string<date-time> | null
deprecated

Deprecated. Use CompletedDateOnly instead.

When the subtask was completed in UTC.

Example:

"2020-02-15T13:00:00Z"

completedDateOnly
string<date-time> | null

The date when the subtask was completed.

The time portion will always be set to 00:00:00 and should be ignored. Only the date portion is relevant.

Example:

"2020-02-15T00:00:00"

createdDate
string<date-time> | null
deprecated

Deprecated. Use CreatedDateOnly instead.

When the subtask was created in UTC.

Example:

"2020-02-15T13:00:00Z"

createdDateOnly
string<date-time> | null

The date when the subtask was created.

The time portion will always be set to 00:00:00 and should be ignored. Only the date portion is relevant.

Example:

"2020-02-15T00:00:00"

isCompleted
boolean

True when the subtask is completed.

Example:

false

isDeleted
boolean

True when the subtask is deleted.

Example:

false

lastUpdated
integer<int64>

Last updated timestamp.

Example:

637847425252027400